Package org.eclipse.debug.ui.memory

# Interface IMemoryRenderingSite

All Known Subinterfaces:
  `IMemoryRenderingSite2`

public interface IMemoryRenderingSite
A workbench site that hosts memory renderings and provides synchronization services for memory renderings.

A rendering site has an optional synchronization provider at any one time. If a rendering provides synchronization information it should set itself as the synchronization provider for its memory rendering site when it is activated.

Clients hosting memory rendering may implement this interface.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`IMemoryRenderingContainer`
`getContainer(String id)`
Returns the rendering container with the given id or `null` if none.
`IMemoryRenderingContainer[]`
`getMemoryRenderingContainers()`
Returns all the memory rendering containers within this rendering site.
`IWorkbenchPartSite`
`getSite()`
Returns the workbench part site hosting memory renderings for this rendering site.
`IMemoryRenderingSynchronizationService`
`getSynchronizationService()`
Returns the syncrhonization service for this rendering site or `null` if none.

## Method Details

### getSite

IWorkbenchPartSite getSite()
Returns the workbench part site hosting memory renderings for this rendering site.

Returns:
  the view site hosting memory renderings for this rendering site

### getSynchronizationService

IMemoryRenderingSynchronizationService getSynchronizationService()
Returns the syncrhonization service for this rendering site or `null` if none.

Returns:
  the syncrhonization service for this rendering site or `null`

### getMemoryRenderingContainers

IMemoryRenderingContainer[] getMemoryRenderingContainers()
Returns all the memory rendering containers within this rendering site.

Returns:
  all the memory rendering containers within this rendering site

### getContainer

IMemoryRenderingContainer getContainer(String id)
Returns the rendering container with the given id or `null` if none.

Parameters:
  `id` - identifier of the container being requested
Returns:
  the rendering container with the given id or `null` if none